## ewt-actions 2.6.1.1-40

=== Makefile ===
################################
# Makefile pour ewt-actions
################################

SOURCE=ewt-actions
VERSION=2.6
EOLE_VERSION=2.6
EOLE_RELEASE=2.6.1
PKGAPPS=non
#FLASK_MODULE=<APPLICATION>

################################
# Début de zone à ne pas éditer
################################

include eole.mk
include apps.mk

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
# if exists
ifneq (, $(strip $(wildcard $(SOURCE).mk)))
include $(SOURCE).mk
endif

=== debian/changelog ===
ewt-actions (2.6.1.1-40) eole-2.6.1-proposed-updates; urgency=low

  [ gwen ]
  * [9839b0f] removes the Properties errors from the backend's result lists
  * [5459607] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [adfbb65] gwen: Update package since “debian/2.6.1.1-39”

 -- gwen <gremond@cadoles.com>  Mon, 20 Mar 2017 16:39:52 +0100

ewt-actions (2.6.1.1-39) eole-2.6.1-proposed-updates; urgency=low

  [ Lionel MORIN ]
  * [3940a9a] Fix url for custom folder
  * [f7d6e92] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [4907258] Lionel MORIN: Update package since “debian/2.6.1.1-38”

 -- Lionel MORIN <lionel.morin@ac-dijon.fr>  Tue, 14 Mar 2017 15:28:09 +0100

ewt-actions (2.6.1.1-38) eole-2.6.1-proposed-updates; urgency=low

  [ Lionel MORIN ]
  * [7b173d0] Make the registeraction.py to copy the custom action modules

  [ gwen ]
  * [0afc270] pass the __action__ variable so that the custom action can access to it
  * [23ccd31] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [cab5ac4] gwen: Update package since “debian/2.6.1.1-37”

 -- gwen <gremond@cadoles.com>  Tue, 14 Mar 2017 15:08:39 +0100

ewt-actions (2.6.1.1-37) eole-2.6.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [79e4f6d] form should validate mandatory variable (ref #19534)

  [ Garette Emmanuel ]
  * [f84775c] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [4d79901] Garette Emmanuel: Update package since “debian/2.6.1.1-36”

 -- Garette Emmanuel <egarette@cadoles.com>  Tue, 14 Mar 2017 14:25:46 +0100

ewt-actions (2.6.1.1-36) eole-2.6.1-proposed-updates; urgency=low

  [ Bruno Boiget ]
  * [5bf8eab] remove debug messages
  * [6bea324] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [ddfe88e] Bruno Boiget: Update package since “debian/2.6.1.1-35”

 -- Bruno Boiget <bruno.boiget@ac-dijon.fr>  Fri, 10 Mar 2017 17:58:07 +0100

ewt-actions (2.6.1.1-35) eole-2.6.1-proposed-updates; urgency=low

  [ Bruno Boiget ]
  * [a1525a8] Better error fetching if serveral errors occur in a single SLS
  * [1a38f10] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [09f2403] Bruno Boiget: Update package since “debian/2.6.1.1-34”

 -- Bruno Boiget <bruno.boiget@ac-dijon.fr>  Fri, 10 Mar 2017 17:56:37 +0100

ewt-actions (2.6.1.1-34) eole-2.6.1-proposed-updates; urgency=low

  [ Bruno Boiget ]
  * [904450a] Better handling of salt states errors
  * [9b22ead] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [d6e6135] Bruno Boiget: Update package since “debian/2.6.1.1-33”

 -- Bruno Boiget <bruno.boiget@ac-dijon.fr>  Fri, 10 Mar 2017 17:09:29 +0100

ewt-actions (2.6.1.1-33) eole-2.6.1-proposed-updates; urgency=low

  [ Lionel MORIN ]
  * [f40ddad] Fix test in postservice
  * [86cd2a4] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [4ea152a] Lionel MORIN: Update package since “debian/2.6.1.1-32”

 -- Lionel MORIN <lionel.morin@ac-dijon.fr>  Fri, 10 Mar 2017 10:47:04 +0100

ewt-actions (2.6.1.1-32) eole-2.6.1-proposed-updates; urgency=low

  [ Lionel MORIN ]
  * [bc36083] Merge branch 'develop'
  * [c1817bd] Merge branch 'master' into dev2

  [ Bruno Boiget ]
  * [721e1b8] Merge branch 'develop'
  * [e82713d] Put external apps URL under /ead path
  * [e7605f0] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [34b492c] Bruno Boiget: Update package since “debian/2.6.1.1-31”

 -- Bruno Boiget <bruno.boiget@ac-dijon.fr>  Thu, 09 Mar 2017 14:00:58 +0100

ewt-actions (2.6.1.1-31) eole-2.6.1-proposed-updates; urgency=low

  [ Bruno Boiget ]
  * [dfb2aa1] Update URL for external actions
  * [879040b] Fix url for custom elements
  * [f86514f] Merge branch 'feature/19399_nginx' into develop
  * [8f46329] Merge branch 'develop' into dist/eole/2.6.1/develop

  [ EOLE Build Daemon ]
  * [cf176b2] Bruno Boiget: Update package since “debian/2.6.1.1-30”

 -- Bruno Boiget <bruno.boiget@ac-dijon.fr>  Wed, 08 Mar 2017 17:29:12 +0100

ewt-actions (2.6.1.1-30) eole-2.6.1-proposed-updates; urgency=low

  [ gwen ]
  * [3d3eb7d] disable the postservice in case of ead3 is disabled
  * [73da15a] Merge branch 'develop' into dist/eole/2.6.1/develop

  [ EOLE Build Daemon ]
  * [fc6d501] gwen: Update package since “debian/2.6.1.1-29”

 -- gwen <gremond@cadoles.com>  Tue, 07 Mar 2017 15:13:36 +0100

ewt-actions (2.6.1.1-29) eole-2.6-unstable; urgency=low

  [ Emmanuel Garette ]
  * [a2820ed] custom action can have custom module (ref #19162)

  [ Garette Emmanuel ]
  * [d2dfdc1] Merge branch 'develop' into dist/eole/2.6.1/develop

  [ EOLE Build Daemon ]
  * [cb4bacb] Garette Emmanuel: Update package since “debian/2.6.1.1-28”

 -- Garette Emmanuel <egarette@cadoles.com>  Thu, 02 Mar 2017 12:22:50 +0100

ewt-actions (2.6.1.1-28) eole-2.6-unstable; urgency=low

  [ Emmanuel Garette ]
  * [fb7e0bc] module without __all__ variable should works too (ref #19162)

  [ Garette Emmanuel ]
  * [c8e0986] Merge branch 'develop' into dist/eole/2.6.1/develop

  [ EOLE Build Daemon ]
  * [e3a9ac0] Garette Emmanuel: Update package since “debian/2.6.1.1-27”

 -- Garette Emmanuel <egarette@cadoles.com>  Thu, 02 Mar 2017 10:18:22 +0100

ewt-actions (2.6.1.1-27) eole-2.6-unstable; urgency=low

  [ Lohysia ]
  * [c1bd440] Change python file for apache type supporting

  [ Garette Emmanuel ]
  * [dc76de2] Merge branch 'develop' into dist/eole/2.6.1/develop

  [ EOLE Build Daemon ]
  * [952322f] Garette Emmanuel: Update package since “debian/2.6.1.1-26”

 -- Garette Emmanuel <egarette@cadoles.com>  Mon, 27 Feb 2017 17:40:12 +0100

ewt-actions (2.6.1.1-26) eole-2.6-unstable; urgency=low

  [ root ]
  * [0fb232f] Add a type apache in registeraction.py

  [ Ghislain Loaec ]
  * [6774fdb] Change path to match nginx reverse proxy
  * [521f5d7] Merge branch 'develop' into dist/eole/2.6.1/develop

  [ EOLE Build Daemon ]


=== debian/control ===
Source: ewt-actions
Section: admin
Priority: optional
Maintainer: Equipe EOLE <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.3
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: http://dev-eole.ac-dijon.fr/git/<project>
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/<project>/repository

Package: ewt-actions
Architecture: all
Depends: ${misc:Depends}, 
Description: base action for ewt
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

## ewt-actions 2.6.2-4

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 SOURCE=ewt-actions
 VERSION=2.6
 EOLE_VERSION=2.6
-EOLE_RELEASE=2.6.1
+EOLE_RELEASE=2.6.2
 PKGAPPS=non
 #FLASK_MODULE=<APPLICATION>

=== debian/changelog ===
ewt-actions (2.6.2-4) eole-2.6-unstable; urgency=low

  [ Emmanuel Garette ]
  * [8baa78c] gestion correct du contenu des boutons dans les fomulaires génériques (ref #21451)
  * [1609c5e] Merge branch 'develop'

  [ Garette Emmanuel ]
  * [d533670] Merge branch 'master' into dist/eole/2.6.2/master

  [ EOLE Build Daemon ]
  * [e4f6755] Garette Emmanuel: Update package since “debian/eole/2.6.2-3”

 -- Garette Emmanuel <egarette@cadoles.com>  Tue, 17 Oct 2017 15:54:01 +0200

ewt-actions (2.6.2-3) eole-2.6-unstable; urgency=low

  [ Lionel MORIN ]
  * [81c87bb] Create the EAD3 upload folder path
  * [f344061] Merge branch 'develop'
  * [39e5513] Merge branch 'master' into dist/eole/2.6.2/master

  [ EOLE Build Daemon ]
  * [cc038d5] Lionel MORIN: Update package since “debian/eole/2.6.2-2”

 -- Lionel MORIN <lionel.morin@ac-dijon.fr>  Fri, 29 Sep 2017 16:52:12 +0200

ewt-actions (2.6.2-2) eole-2.6-unstable; urgency=low

  [ Emmanuel Garette ]
  * [5616945] la variable __context__ doit être passé au sous-module (ref #20542)
  * [99d82e0] Merge branch 'develop'

  [ Lionel MORIN ]
  * [5f2a697] Retrieves dict values of submit form action
  * [718cc4d] Merge branch 'feature/21437_ActionEAD3_AAF' into develop
  * [2c9c821] Merge branch 'develop'
  * [251bc09] Merge branch 'master' into dist/eole/2.6.2/master

  [ gwen ]
  * [253d294] Add custom function other than describe and submit in form actions

  [ EOLE Build Daemon ]
  * [4a9ded2] Lionel MORIN: Update package since “debian/eole/2.6.2-1”

 -- Lionel MORIN <lionel.morin@ac-dijon.fr>  Thu, 28 Sep 2017 11:44:46 +0200

ewt-actions (2.6.2-1) eole-2.6-unstable; urgency=low

  [ Daniel Dehennin ]
  * [6ea3de0] Prepare version 2.6.2
  * [daaa907] Merge tag 'release/2.6.2' into dist/eole/2.6.2/master
  * [07d93aa] Nouvel espace de nommage des tags Debian

  [ Emmanuel Garette ]
  * [1327521] les fichiers SLS des actions utilisateurs peuvent être dans sls/ (ref #20625)
  * [6d36d65] Merge branch 'develop'

  [ Garette Emmanuel ]
  * [86f7c96] Merge branch 'master' into dist/eole/2.6.2/master

  [ EOLE Build Daemon ]
  * [1f81947] Garette Emmanuel: Update package since “debian/eole/2.6.1.1-40”

 -- Garette Emmanuel <egarette@cadoles.com>  Tue, 23 May 2017 16:19:16 +0200

## ewt-actions 2.7.0-2

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 ################################
 
 SOURCE=ewt-actions
-VERSION=2.6
-EOLE_VERSION=2.6
-EOLE_RELEASE=2.6.2
+VERSION=2.7
+EOLE_VERSION=2.7
+EOLE_RELEASE=2.7.0
 PKGAPPS=non
 #FLASK_MODULE=<APPLICATION>

=== debian/changelog ===
ewt-actions (2.7.0-2) eole-2.7-unstable; urgency=low

  [ Emmanuel Garette ]
  * [f79cbc7] port de ewt-actions en python3 (ref #24229)

  [ Joël Cuissinat ]
  * [8f8f109] Remove a forgotten utf8 encoding
  * [8f1f537] Merge branch 'master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [7594f77] Joël Cuissinat: Update package since “debian/eole/2.7.0-1”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 05 Nov 2018 14:37:05 +0100

ewt-actions (2.7.0-1) eole-2.7-unstable; urgency=low

  [ Daniel Dehennin ]
  * [28826ba] Prepare version 2.7.0
  * [29512f1] Merge tag 'release/2.7.0' into dist/eole/2.7.0/master

  [ Fabrice Barconnière ]
  * [e64e799] salt-master is running as 'salt'
  * [52f0c3a] Merge branch 'master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [2ad3878] Fabrice Barconnière: Update package since “debian/eole/2.6.2-4”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Mon, 30 Apr 2018 10:48:37 +0200

## ewt-actions 2.7.0-4

=== debian/changelog ===
ewt-actions (2.7.0-4) eole-2.7.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [07c5538] Don't begin to sleep before testing minion's key status
  * [a54c769] Merge branch '2.7.0/27291-salt-key' into 2.7.0/master
  * [744d8ce] Merge branch '2.7.0/master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [b57fb92] Joël Cuissinat: Update package since “debian/eole/2.7.0-3”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 15 Mar 2019 14:24:26 +0100

ewt-actions (2.7.0-3) eole-2.7.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [038dd1e] Minion key must be accepted when salt-master and salt-minion are started
  * [c387d3b] Merge branch '2.7.0/27291-salt-key' into 2.7.0/master
  * [9b67e6a] Merge branch '2.7.0/master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [4dacde0] Joël Cuissinat: Update package since “debian/eole/2.7.0-2”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 15 Mar 2019 12:11:54 +0100

## ewt-actions 2.7.1-5

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 SOURCE=ewt-actions
 VERSION=2.7
 EOLE_VERSION=2.7
-EOLE_RELEASE=2.7.0
+EOLE_RELEASE=2.7.1
 PKGAPPS=non
 #FLASK_MODULE=<APPLICATION>

=== debian/changelog ===
ewt-actions (2.7.1-5) eole-2.7-unstable; urgency=low

  [ Joël Cuissinat ]
  * [038dd1e] Minion key must be accepted when salt-master and salt-minion are started
  * [1be6f3b] Merge branch '2.7.0/27291-salt-key'
  * [07c5538] Don't begin to sleep before testing minion's key status
  * [f427a1d] Merge branch '2.7.0/27291-salt-key'
  * [d99cf4c] Merge branch 'master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [5776c02] Joël Cuissinat: Update package since “debian/eole/2.7.1-4”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 15 Mar 2019 14:26:17 +0100

ewt-actions (2.7.1-4) eole-2.7-unstable; urgency=low

  [ Benjamin Bohard ]
  * [c0d2034] La validation de la clé du minion nécessite le service DNS de Samba.
  * [cfe5e78] Merge branch '2.7.1/26647-salt-key_after_samba_up'
  * [de46c42] Merge branch 'master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [09352cd] Benjamin Bohard: Update package since “debian/eole/2.7.1-3”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 04 Feb 2019 11:24:55 +0100

ewt-actions (2.7.1-3) eole-2.7-unstable; urgency=low

  [ Gilles Grandgerard ]
  * [edc84bf] Augmentation du temps de réponse salt 1->5s
  * [fd256b6] Merge branch 'master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [670f249] Gilles Grandgerard: Update package since “debian/eole/2.7.1-2”

 -- Gilles Grandgerard <gilles.grandgerard@ac-dijon.fr>  Thu, 17 Jan 2019 14:57:44 +0100

ewt-actions (2.7.1-2) eole-2.7-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [956140f] Minion key must be accepted when salt-master and salt-minion are started
  * [9a97a23] Merge branch 'master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [1f3eb41] Fabrice Barconnière: Update package since “debian/eole/2.7.1-1”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Mon, 14 Jan 2019 09:07:56 +0100

ewt-actions (2.7.1-1) eole-2.7-unstable; urgency=low

  [ Daniel Dehennin ]
  * [df36cc8] Prepare version 2.7.1
  * [1d6c488] Merge tag 'release/2.7.1' into dist/eole/2.7.1/master

  [ Fabrice Barconnière ]
  * [820d2ff] Modify scripts with the specific diectories in salt for EAD3
  * [b0ea1db] Merge branch 'master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [824f073] Fabrice Barconnière: Update package since “debian/eole/2.7.0-2”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Fri, 11 Jan 2019 08:13:50 +0100

## ewt-actions 2.8.0-1

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 ################################
 
 SOURCE=ewt-actions
-VERSION=2.7
-EOLE_VERSION=2.7
-EOLE_RELEASE=2.7.1
+VERSION=2.8
+EOLE_VERSION=2.8
+EOLE_RELEASE=2.8.0
 PKGAPPS=non
 #FLASK_MODULE=<APPLICATION>

=== debian/changelog ===
ewt-actions (2.8.0-1) eole-2.8-unstable; urgency=low

  [ Daniel Dehennin ]
  * [2fc5913] Prepare version 2.7.2
  * [04dced4] Merge tag 'release/2.7.2' into dist/eole/2.7.2/master
  * [547675d] Prepare version 2.8.0
  * [0a0f2e8] Merge branch 'master' into dist/eole/2.8.0/master

  [ Emmanuel Garette ]
  * [287578b] porter registeraction.py en python3 (ref #30598)
  * [32417a4] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [4eaf713] Emmanuel Garette: Update package since “debian/eole/2.7.1-5”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 10 Sep 2020 09:05:59 +0200
